//ChoiceInput.java

import java.awt.*;
import java.applet.*;
import java.lang.*;  


public class ChoiceInput extends Panel{ 
	
	private  Label lab1, lab2;
        
        public Button outgo;
	public Button ingo;
	private static final Font rangefont=new Font("Serif",Font.ITALIC,16);
		
	//private static final Color bgcolor = new Color(216,230,230);
	private static final Color bgcolor = Color.white;
	
	public ChoiceInput(){
		super();
		setLayout(null);
		setBackground(bgcolor);
		Font labelfont=new Font("SanSerif",Font.BOLD,11);
		
                outgo = new Button("Exit Input Panel");
                outgo.setForeground(Color.blue);
                outgo.setBackground(new Color(240,240,255));
                outgo.setBackground(Color.white);
                outgo.setVisible(true);
                //add(outgo);
                outgo.setBounds(51,3,140,19);
		               
                ingo = new Button("Return to Input Panel");
                ingo.setForeground(Color.blue);
                ingo.setBackground(new Color(240,240,255));
                ingo.setBackground(Color.white);
                ingo.setVisible(false);
                //add(ingo);
                ingo.setBounds(51,3,140,19);
	}
	public void paint(Graphics g){
	    g.clearRect(0,0,getSize().width,getSize().height);
	    g.setColor(Color.black);
            g.drawRect(0,0,getSize().width-1,getSize().height-1);
            
            g.setColor(Color.blue);
            
            int down = 615;
            int left1 = 157;
            int left2 = 462;
            int right1 = 306;
            int right2 = 611;
            int tick_depth = 15;
            int arrow_depth = 12;
            int range_pos = 75;
            int range_vert= 5;
            //left tick marks for width arrow
            g.drawLine(left1,down,left1,down+tick_depth);
	    g.drawLine(left2,down,left2,down+tick_depth);
            
            //right tick marks for width arrows
            g.drawLine(right1,down,right1,down+tick_depth);
	    g.drawLine(right2,down,right2,down+tick_depth);
            
            //arrows for widths
            //arrow lines
            g.drawLine(left1,down+arrow_depth,right1,down+arrow_depth);
            g.drawLine(left2,down+arrow_depth,right2,down+arrow_depth);
            //arrow heads 
            MaestroG.drawArrow(left1+10,down+arrow_depth,8,g);
            MaestroG.drawArrow(right1-10,down+arrow_depth,7,g);
            MaestroG.drawArrow(left2+10,down+arrow_depth,8,g);
            MaestroG.drawArrow(right2-10,down+arrow_depth,7,g);
            
            g.setColor(Color.white);
            g.fillRect(left1+range_pos-10,down+arrow_depth,27,14);
            g.fillRect(left2+range_pos-10,down+arrow_depth,27,14);
            
            g.setColor(Color.blue);
            g.setFont(rangefont);
            
            g.drawString("L",left1+range_pos,down+arrow_depth+range_vert);
            g.drawString("L",left2+range_pos,down+arrow_depth+range_vert);
        }
	
} // ChoiceInput.java
